For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DashboardWebsiteCommunity
DocsAPI ReferenceChangelog
DocsAPI ReferenceChangelog
  • API Reference
      • GETList Tasks
      • POSTCreate a New Task
      • GETGet Task Details
      • POSTUpdate a Task
      • DELDelete Task
      • GETFetch Token Report
      • GETFetch Usage Report
      • GETFetch Timing Report
      • GETFetch Credit Report
      • GETList Task Runs
      • POSTRun Task
      • GETIAM - List Task Members
      • GETIAM - Lookup Task Member
      • POSTIAM - Update Task Member
      • POSTIAM - Test Task Permissions
      • GETFetch a user submitted file (image or audio) for a given Task Run
      • GETFetch a Task Run
      • GETList Project Task Runs
      • GETList Project Recent Task Runs By Task
      • GETGet Project Task Timing Report
      • GETGet Project Task Usage Report
      • GETList Project Task Shares
      • GETList Task Shares
      • POSTCreate Task Share
      • DELRevoke Task Share
      • POSTClone Shared Task
  • External Links
    • Agent API Docs
    • OpenAPI Spec
LogoLogo
DashboardWebsiteCommunity
API ReferenceTasks

List Project Task Runs

GET
/org/:org_id/project/:project_id/task_run
GET
/api/v1/org/:org_id/project/:project_id/task_run
$curl https://app.rightbrain.ai/api/v1/org/123e4567-e89b-12d3-a456-426614174000/project/123e4567-e89b-12d3-a456-426614174001/task_run \
> -H "Authorization: Bearer <token>"
1{
2 "results": [
3 {
4 "task_id": "0190a234-8dc6-6d08-aea9-928fcecad8f1",
5 "task_revision_id": "0190a234-8dc6-6d08-aea9-928fcecad8f3",
6 "response": {
7 "result": "Sample output"
8 },
9 "run_data": {
10 "submitted": {
11 "text": "Sample text"
12 },
13 "files": []
14 },
15 "id": "0190a234-8dc6-6d08-aea9-928fcecad8f1",
16 "created": "2024-01-16T13:33:25.247662",
17 "input_tokens": 100,
18 "output_tokens": 50,
19 "total_tokens": 150,
20 "input_processor_timing": 1.1,
21 "llm_call_timing": 1,
22 "charged_credits": "0.75",
23 "is_error": false,
24 "llm_retries": 0,
25 "used_fallback_model": false
26 }
27 ],
28 "pagination": {
29 "next_cursor": "0190a234-8dc6-6d08-aea9-928fcecad8f2",
30 "has_next": true,
31 "page_limit": 25
32 }
33}
List all task runs across a project. Returns a paginated list of task runs for all tasks in the project. Runs belonging to soft-deleted tasks are excluded. Visibility is applied per task: users only see runs they would see on each task run list (owner_only / editors_and_owners / all_viewers). A page may contain fewer than page_limit results when visibility filters apply. **Filtering:** task_id, task_revision_id, status (success/error), start_date, end_date.
Was this page helpful?
Previous

List Project Recent Task Runs By Task

Next
Built with

List all task runs across a project.

Returns a paginated list of task runs for all tasks in the project. Runs belonging to soft-deleted tasks are excluded. Visibility is applied per task: users only see runs they would see on each task run list (owner_only / editors_and_owners / all_viewers). A page may contain fewer than page_limit results when visibility filters apply.

Filtering: task_id, task_revision_id, status (success/error), start_date, end_date.

Authentication

AuthorizationBearer

Bearer token authentication using JWT tokens from Ory Kratos/Hydra

Path parameters

org_idstringRequiredformat: "uuid"
The unique identifier of the organization.
project_idstringRequiredformat: "uuid"
The unique identifier of the project.

Query parameters

page_limitintegerOptional1-100Defaults to 100

The maximum number of items to return per page. Defaults to 100 if not specified.

cursorstringOptionalformat: "uuid"

A cursor for pagination. Use the next_cursor value from the previous response to get the next page of results.

task_idstringOptionalformat: "uuid"
Filter to a specific task
task_revision_idstringOptionalformat: "uuid"
Filter to a specific task revision
statusenumOptional

Filter by status (success or error)

Allowed values:
start_datestringOptional

Start date for the listing (e.g., ‘2023-06-01’, ‘24 hours ago’, ‘yesterday’). Defaults to 7 days before end_date or now.

end_datestringOptional

End date for the listing (e.g., ‘2023-06-30’, ‘now’, ‘today’). Defaults to now.

include_event_trigger_idbooleanOptionalDefaults to false

If true, include event_trigger_id for each task run in results.

Response

Paginated list of task runs
resultslist of objects
The list of items returned for the current page.
paginationobject or null
Contains pagination information for the result set.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error